Comments
List, create, and delete comments on tasks.
|
Endpoints
| GET | /api/v1/project/projects/{id}/tasks/{tid}/comments | List comments |
| POST | /api/v1/project/projects/{id}/tasks/{tid}/comments | Create a comment |
| DELETE | /api/v1/project/projects/{id}/comments/{cid} | Delete a comment |
GET
/api/v1/project/projects/{id}/tasks/{tid}/commentsList comments
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
tid | string | Optional | Task ID |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | integer | Optional | Number of items to return (default: 50, max: 200) |
offset | integer | Optional | Number of items to skip |
Code Examples
curl "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000/comments" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/project/projects/{id}/tasks/{tid}/commentsCreate a comment
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
tid | string | Optional | Task ID |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000/comments" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/project/projects/{id}/comments/{cid}Delete a comment
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
cid | string | Optional | Comment ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/comments/cmt_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"